Last Comment Bug 750170 - switch from arecibo to sentry for error reporting
: switch from arecibo to sentry for error reporting
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: General (show other bugs)
: Production
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Byron Jones ‹:glob› [PTO until 2017-01-09]
:
:
Mentors:
http://sentry.readthedocs.org/en/late...
Depends on: 749789 864389
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-29 23:45 PDT by Byron Jones ‹:glob› [PTO until 2017-01-09]
Modified: 2013-04-22 10:15 PDT (History)
6 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch v1 (15.04 KB, patch)
2013-04-03 10:28 PDT, Byron Jones ‹:glob› [PTO until 2017-01-09]
no flags Details | Diff | Splinter Review
patch v2 (17.37 KB, patch)
2013-04-18 08:14 PDT, Byron Jones ‹:glob› [PTO until 2017-01-09]
dkl: review+
Details | Diff | Splinter Review

Description Byron Jones ‹:glob› [PTO until 2017-01-09] 2012-04-29 23:45:35 PDT
webdev are moving from arecibo to sentry (see reasons in the blocker).
we should follow suit.
Comment 1 Byron Jones ‹:glob› [PTO until 2017-01-09] 2013-04-03 10:28:41 PDT
Created attachment 732908 [details] [diff] [review]
patch v1

after a while cursing arecibo's ability to drop messages, i gave up and instead finished my work on moving to sentry.
Comment 2 Byron Jones ‹:glob› [PTO until 2017-01-09] 2013-04-17 23:21:30 PDT
ping?

arecibo has mixed https/http content, which are now blocked by nightly... do you think you'll be able to review this before next week's push?
Comment 3 Byron Jones ‹:glob› [PTO until 2017-01-09] 2013-04-18 08:14:23 PDT
Created attachment 739077 [details] [diff] [review]
patch v2

it totally helps if i include sentry.pl
Comment 4 David Lawrence [:dkl] 2013-04-18 12:37:08 PDT
Comment on attachment 739077 [details] [diff] [review]
patch v2

Review of attachment 739077 [details] [diff] [review]:
-----------------------------------------------------------------

All looks sane to me and works as expected. r=dkl
Comment 5 Byron Jones ‹:glob› [PTO until 2017-01-09] 2013-04-22 09:55:01 PDT
Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bmo/4.2/
deleted arecibo.pl
added sentry.pl
modified Bugzilla/Error.pm
renamed Bugzilla/Arecibo.pm => Bugzilla/Sentry.pm
modified Bugzilla/Config/Advanced.pm
modified Bugzilla/Install/Filesystem.pm
modified template/en/default/admin/params/advanced.html.tmpl
modified template/en/default/global/code-error.html.tmpl
Committed revision 8746.

Note You need to log in before you can comment on or make changes to this bug.